<template>
  <PageWrapper>
    <a-card>
      <div class="flex items-center">
        <a-switch v-model:checked="checked" />
        <div class="text-[#aaa] ml-10px text-12px">已开启价格数据自动获取</div>
      </div>
    </a-card>
    <Chart class="!mt-4" :loading="false" />
  </PageWrapper>
</template>

<script lang="ts">
  import { PageWrapper } from '/@/components/Page';
  import { defineComponent, ref } from 'vue';
  import { Card, Switch } from 'ant-design-vue';
  import Chart from './components/Chart.vue';

  export default defineComponent({
    components: {
      [Card.name]: Card,
      [Switch.name]: Switch,
      Chart,
      PageWrapper,
    },
    setup() {
      const checked = ref<Boolean>(true);
      return {
        checked,
      };
    },
  });
</script>

<style scoped></style>
